Loading...
Searching...
No Matches
GasPvtMultiplexer.hpp File Reference

This class represents the Pressure-Volume-Temperature relations of the gas phase in the black-oil model. More...

`#include <opm/material/fluidsystems/blackoilpvt/Co2GasPvt.hpp>`
`#include <opm/material/fluidsystems/blackoilpvt/DryGasPvt.hpp>`
`#include <opm/material/fluidsystems/blackoilpvt/DryHumidGasPvt.hpp>`
`#include <opm/material/fluidsystems/blackoilpvt/GasPvtThermal.hpp>`
`#include <opm/material/fluidsystems/blackoilpvt/H2GasPvt.hpp>`
`#include <opm/material/fluidsystems/blackoilpvt/WetGasPvt.hpp>`
`#include <opm/material/fluidsystems/blackoilpvt/WetHumidGasPvt.hpp>`
`#include <functional>`

Go to the source code of this file.

## Classes

class | Opm::GasPvtMultiplexer< Scalar, enableThermal >
| This class represents the Pressure-Volume-Temperature relations of the gas phase in the black-oil model. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Macros

#define | OPM_GAS_PVT_MULTIPLEXER_CALL(codeToCall, ...)

## Enumerations

enum class | GasPvtApproach { NoGas , DryGas , DryHumidGas , WetHumidGas , WetGas , ThermalGas , Co2Gas , H2Gas }

## Detailed Description

This class represents the Pressure-Volume-Temperature relations of the gas phase in the black-oil model.

This is a multiplexer class which forwards all calls to the real implementation.

Note that, since the main application for this class is the black oil fluid system, the API exposed by this class is pretty specific to the assumptions made by the black oil model.